# The ReflectionExtension class

(PHP 5, PHP 7)

## Introduction

The ReflectionExtension class reports information about an extension.

## Class synopsis

ReflectionExtension implements Reflector {
/* Properties */
public $name ;
/* Methods */
final private __clone ( void ) : void
public __construct ( string `$name` )
public static export ( string `$name` [, string `$return` = `FALSE` ] ) : string
public getClasses ( void ) : array
public getClassNames ( void ) : array
public getConstants ( void ) : array
public getDependencies ( void ) : array
public getFunctions ( void ) : array
public getINIEntries ( void ) : array
public getName ( void ) : string
public getVersion ( void ) : string
public info ( void ) : void
public isPersistent ( void ) : void
public isTemporary ( void ) : void
public __toString ( void ) : string
}

## Properties

name

  Name of the extension, same as calling the ReflectionExtension::getName() method.

## Table of Contents

- ReflectionExtension::__clone — Clones
- ReflectionExtension::__construct — Constructs a ReflectionExtension
- ReflectionExtension::export — Export
- ReflectionExtension::getClasses — Gets classes
- ReflectionExtension::getClassNames — Gets class names
- ReflectionExtension::getConstants — Gets constants
- ReflectionExtension::getDependencies — Gets dependencies
- ReflectionExtension::getFunctions — Gets extension functions
- ReflectionExtension::getINIEntries — Gets extension ini entries
- ReflectionExtension::getName — Gets extension name
- ReflectionExtension::getVersion — Gets extension version
- ReflectionExtension::info — Print extension info
- ReflectionExtension::isPersistent — Returns whether this extension is persistent
- ReflectionExtension::isTemporary — Returns whether this extension is temporary
- ReflectionExtension::__toString — To string